#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <sys/select.h>
#include <sys/time.h>

extern void read_config();
extern int WalkProcWeb100();
extern int traced_init();

main (int argc, char *argv[]) {
  double naptime = 0.1;
  int n, napsec=0, i=0;
  struct timeval tv;

/* kill -1 pid   will send the process the signal SIGHUP to reload
   the connections to be adjusted from traced.conf */
  signal(SIGHUP, read_config);

  if(argc > 1) {
    naptime = atof(argv[1]);
    if(naptime <= 0.0)
      naptime = 0.1;
    else
      if(naptime >=1.0) {
        napsec = (int)naptime;
        naptime = naptime - napsec;
      }
  }

  traced_init();
  
  while(1) {
    WalkProcWeb100();
    tv.tv_sec = napsec;
    tv.tv_usec = (naptime * 1000000);
    n = select((int)NULL, NULL, NULL, NULL, &tv);
  }
}
